Bug 120063 - RFE: Add DPMS support for DVI panels to nv driver
RFE: Add DPMS support for DVI panels to nv driver
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-05 14:34 EDT by Peter Lannigan
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-19 22:04:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Lannigan 2004-04-05 14:34:19 EDT
Description of problem:

Hardware: Dell Optiplex GX270 with Nvidia Geforce 4 MX and Dell 1901FP
monitor connected via DVI.

Monitor never goes into power saving mode which means the back lights
will burn out much sooner.  XFree86 config file generated with
redhat-config-xfree86 command.  Xscreensaver set to do power
management and shutoff the screen.  The command "xset dpms force off"
blanks the screen but the monitor does not go into power saving mode.
 Nor does the screensaver put the monitor in power saving mode.

This was working on previos machine: Dell Optiplex GX260 with ATI
Radeon VE connected to a Dell 1801FP using the ati driver.  So, I
think there is a problem in the "nv" driver.

Version-Release number of selected component (if applicable):

How reproducible: Very

Steps to Reproduce:
1. RHEL 3 with Nvidia card and "nv" xfree driver should do it.
Actual results:

Expected results:

Additional info:
Comment 4 Mike A. Harris 2004-04-19 22:04:26 EDT
The XFree86 4.3.0 "nv" driver supports DPMS only on CRT displays, and
does not support DPMS on DFP panels connected via DVI.  As such, this
is a lack of feature in the driver rather than a bug.

Since the hardware specifications for Nvidia hardware are not
available to Red Hat nor the open source community, unfortunately
we do not have any way of adding this feature to the driver, other
than to wait for Nvidia to provide patches under an open source
MIT/X11 style license to Red Hat or to the community which
implement this functionality.  If such patches become available
in the future, we may review them and consider reopening this

Updating bug report summary, and closing as 'WONTFIX'.

Note You need to log in before you can comment on or make changes to this bug.